## org.emboss.jemboss.parser
Class Ajax

    java.lang.Object
      |
      +--org.emboss.jemboss.parser.Ajax

public class Ajax
extends java.lang.Object

Used with JNI to EMBOSS ajax library to determine sequence attributes.

Field Summary
`static int` `length` sequence length
`static boolean` `protein` true if the sequence is protein
`static float` `weight` sequence weight

Constructor Summary
`Ajax()`

Method Summary
`(package private) static void` `<clinit>()`
`boolean` `seqsetType(java.lang.String usa)`
`boolean` `seqType(java.lang.String usa)` determine sequence attributes
`void` `setLength(int length)` Sets the sequence length
`void` `setProtein(boolean protein)` Sets whether sequence is protein (true)
`void` `setWeight(float weight)` Sets the sequence weight

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### protein

    public static boolean protein

  true if the sequence is protein

### length

    public static int length

  sequence length

### weight

    public static float weight

  sequence weight

Constructor Detail

### Ajax

    public Ajax()

Method Detail

### seqType

    public boolean seqType(java.lang.String usa)

  determine sequence attributes

### seqsetType

    public boolean seqsetType(java.lang.String usa)

### <clinit>

    static void <clinit>()

### setLength

    public void setLength(int length)

  Sets the sequence length
  Parameters:
    `int` - sequence length

### setWeight

    public void setWeight(float weight)

  Sets the sequence weight
  Parameters:
    `float` - sequence weight

### setProtein

    public void setProtein(boolean protein)

  Sets whether sequence is protein (true)
  Parameters:
    `boolean` - sequence type